# Uses of Interface
org.eclipse.ui.testing.ITestHarness

Packages that use ITestHarness
Package
Description
org.eclipse.ui.testing
Classes for testing support.

## Uses of ITestHarness in org.eclipse.ui.testing

Methods in org.eclipse.ui.testing that return ITestHarness
Modifier and Type
Method
Description
`ITestHarness`
TestableObject.`getTestHarness()`
Returns the test harness, or `null` if it has not yet been set.
Methods in org.eclipse.ui.testing with parameters of type ITestHarness
Modifier and Type
Method
Description
`void`
TestableObject.`setTestHarness(ITestHarness testHarness)`
Sets the test harness.